// Code generated by protoc-gen-go. DO NOT EDIT.
// source: proxy/shadowsocks/config.proto

package shadowsocks

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
	net "v2ray.com/core/common/net"
	protocol "v2ray.com/core/common/protocol"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type CipherType int32

const (
	CipherType_UNKNOWN           CipherType = 0
	CipherType_AES_128_GCM       CipherType = 1
	CipherType_AES_256_GCM       CipherType = 2
	CipherType_CHACHA20_POLY1305 CipherType = 3
	CipherType_NONE              CipherType = 4
)

var CipherType_name = map[int32]string{
	0: "UNKNOWN",
	1: "AES_128_GCM",
	2: "AES_256_GCM",
	3: "CHACHA20_POLY1305",
	4: "NONE",
}

var CipherType_value = map[string]int32{
	"UNKNOWN":           0,
	"AES_128_GCM":       1,
	"AES_256_GCM":       2,
	"CHACHA20_POLY1305": 3,
	"NONE":              4,
}

func (x CipherType) String() string {
	return proto.EnumName(CipherType_name, int32(x))
}

func (CipherType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_1da88f084d5cf23f, []int{0}
}

type Account struct {
	Password             string     `protobuf:"bytes,1,opt,name=password,proto3" json:"password,omitempty"`
	CipherType           CipherType `protobuf:"varint,2,opt,name=cipher_type,json=cipherType,proto3,enum=v2ray.core.proxy.shadowsocks.CipherType" json:"cipher_type,omitempty"`
	XXX_NoUnkeyedLiteral struct{}   `json:"-"`
	XXX_unrecognized     []byte     `json:"-"`
	XXX_sizecache        int32      `json:"-"`
}

func (m *Account) Reset()         { *m = Account{} }
func (m *Account) String() string { return proto.CompactTextString(m) }
func (*Account) ProtoMessage()    {}
func (*Account) Descriptor() ([]byte, []int) {
	return fileDescriptor_1da88f084d5cf23f, []int{0}
}

func (m *Account) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Account.Unmarshal(m, b)
}
func (m *Account) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Account.Marshal(b, m, deterministic)
}
func (m *Account) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Account.Merge(m, src)
}
func (m *Account) XXX_Size() int {
	return xxx_messageInfo_Account.Size(m)
}
func (m *Account) XXX_DiscardUnknown() {
	xxx_messageInfo_Account.DiscardUnknown(m)
}

var xxx_messageInfo_Account proto.InternalMessageInfo

func (m *Account) GetPassword() string {
	if m != nil {
		return m.Password
	}
	return ""
}

func (m *Account) GetCipherType() CipherType {
	if m != nil {
		return m.CipherType
	}
	return CipherType_UNKNOWN
}

type ServerConfig struct {
	// UdpEnabled specified whether or not to enable UDP for Shadowsocks.
	// Deprecated. Use 'network' field.
	UdpEnabled           bool           `protobuf:"varint,1,opt,name=udp_enabled,json=udpEnabled,proto3" json:"udp_enabled,omitempty"` // Deprecated: Do not use.
	User                 *protocol.User `protobuf:"bytes,2,opt,name=user,proto3" json:"user,omitempty"`
	Network              []net.Network  `protobuf:"varint,3,rep,packed,name=network,proto3,enum=v2ray.core.common.net.Network" json:"network,omitempty"`
	XXX_NoUnkeyedLiteral struct{}       `json:"-"`
	XXX_unrecognized     []byte         `json:"-"`
	XXX_sizecache        int32          `json:"-"`
}

func (m *ServerConfig) Reset()         { *m = ServerConfig{} }
func (m *ServerConfig) String() string { return proto.CompactTextString(m) }
func (*ServerConfig) ProtoMessage()    {}
func (*ServerConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_1da88f084d5cf23f, []int{1}
}

func (m *ServerConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerConfig.Unmarshal(m, b)
}
func (m *ServerConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerConfig.Marshal(b, m, deterministic)
}
func (m *ServerConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerConfig.Merge(m, src)
}
func (m *ServerConfig) XXX_Size() int {
	return xxx_messageInfo_ServerConfig.Size(m)
}
func (m *ServerConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerConfig.DiscardUnknown(m)
}

var xxx_messageInfo_ServerConfig proto.InternalMessageInfo

// Deprecated: Do not use.
func (m *ServerConfig) GetUdpEnabled() bool {
	if m != nil {
		return m.UdpEnabled
	}
	return false
}

func (m *ServerConfig) GetUser() *protocol.User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *ServerConfig) GetNetwork() []net.Network {
	if m != nil {
		return m.Network
	}
	return nil
}

type ClientConfig struct {
	Server               []*protocol.ServerEndpoint `protobuf:"bytes,1,rep,name=server,proto3" json:"server,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                   `json:"-"`
	XXX_unrecognized     []byte                     `json:"-"`
	XXX_sizecache        int32                      `json:"-"`
}

func (m *ClientConfig) Reset()         { *m = ClientConfig{} }
func (m *ClientConfig) String() string { return proto.CompactTextString(m) }
func (*ClientConfig) ProtoMessage()    {}
func (*ClientConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_1da88f084d5cf23f, []int{2}
}

func (m *ClientConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ClientConfig.Unmarshal(m, b)
}
func (m *ClientConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ClientConfig.Marshal(b, m, deterministic)
}
func (m *ClientConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ClientConfig.Merge(m, src)
}
func (m *ClientConfig) XXX_Size() int {
	return xxx_messageInfo_ClientConfig.Size(m)
}
func (m *ClientConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_ClientConfig.DiscardUnknown(m)
}

var xxx_messageInfo_ClientConfig proto.InternalMessageInfo

func (m *ClientConfig) GetServer() []*protocol.ServerEndpoint {
	if m != nil {
		return m.Server
	}
	return nil
}

func init() {
	proto.RegisterEnum("v2ray.core.proxy.shadowsocks.CipherType", CipherType_name, CipherType_value)
	proto.RegisterType((*Account)(nil), "v2ray.core.proxy.shadowsocks.Account")
	proto.RegisterType((*ServerConfig)(nil), "v2ray.core.proxy.shadowsocks.ServerConfig")
	proto.RegisterType((*ClientConfig)(nil), "v2ray.core.proxy.shadowsocks.ClientConfig")
}

func init() {
	proto.RegisterFile("proxy/shadowsocks/config.proto", fileDescriptor_1da88f084d5cf23f)
}

var fileDescriptor_1da88f084d5cf23f = []byte{
	// 433 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x7c, 0x52, 0xd1, 0x6e, 0xd3, 0x30,
	0x14, 0x25, 0x6d, 0xb5, 0x96, 0x9b, 0x69, 0x14, 0x4b, 0x48, 0x51, 0x35, 0x4d, 0xa1, 0xbc, 0x44,
	0x7b, 0x70, 0x36, 0x8f, 0xa1, 0xbd, 0xb6, 0x51, 0xc5, 0x10, 0x90, 0x56, 0x2e, 0x03, 0x81, 0x90,
	0xa2, 0xcc, 0x31, 0xac, 0x5a, 0x6b, 0x5b, 0x76, 0xba, 0x92, 0xef, 0xe1, 0x8d, 0xaf, 0x44, 0xb5,
	0xd3, 0xad, 0x82, 0xa9, 0x0f, 0x91, 0x72, 0xef, 0x39, 0xe7, 0xde, 0x73, 0x6e, 0x02, 0x47, 0x4a,
	0xcb, 0x5f, 0x55, 0x6c, 0x6e, 0xf2, 0x42, 0xae, 0x8c, 0x64, 0xb7, 0x26, 0x66, 0x52, 0xfc, 0x98,
	0xfd, 0xc4, 0x4a, 0xcb, 0x52, 0xa2, 0xc3, 0x3b, 0xa2, 0xf3, 0x0a, 0x33, 0xa9, 0x39, 0xb6, 0x54,
	0xbc, 0x45, 0xed, 0x05, 0x4c, 0x2e, 0x16, 0x52, 0xc4, 0x82, 0x97, 0xeb, 0x67, 0x25, 0xf5, 0xad,
	0xd3, 0xf5, 0x7a, 0x35, 0x62, 0x2b, 0x26, 0xe7, 0xf1, 0xd2, 0x70, 0x5d, 0x63, 0x2f, 0xff, 0xc5,
	0x0c, 0xd7, 0x77, 0x5c, 0x67, 0x46, 0x71, 0xe6, 0x28, 0x7d, 0x05, 0xed, 0x01, 0x63, 0x72, 0x29,
	0x4a, 0xd4, 0x83, 0x8e, 0xca, 0x8d, 0x59, 0x49, 0x5d, 0x04, 0x5e, 0xe8, 0x45, 0x4f, 0xe9, 0x7d,
	0x8d, 0xde, 0x81, 0xcf, 0x66, 0xea, 0x86, 0xeb, 0xac, 0xac, 0x14, 0x0f, 0x1a, 0xa1, 0x17, 0x1d,
	0x90, 0x08, 0xef, 0xf2, 0x8c, 0x13, 0x2b, 0xf8, 0x54, 0x29, 0x4e, 0x81, 0xdd, 0xbf, 0xf7, 0x7f,
	0x7b, 0xb0, 0x3f, 0xb5, 0x3e, 0x12, 0x9b, 0x1f, 0xbd, 0x02, 0x7f, 0x59, 0xa8, 0x8c, 0x8b, 0xfc,
	0x7a, 0xce, 0xdd, 0xea, 0xce, 0xb0, 0x11, 0x78, 0x14, 0x96, 0x85, 0x1a, 0xb9, 0x2e, 0x7a, 0x0d,
	0xad, 0x75, 0x30, 0xbb, 0xd9, 0x27, 0xe1, 0xf6, 0x66, 0x17, 0x12, 0x6f, 0x42, 0xe2, 0x2b, 0xc3,
	0x35, 0xb5, 0x6c, 0x74, 0x01, 0xed, 0xfa, 0x5a, 0x41, 0x33, 0x6c, 0x46, 0x07, 0xe4, 0xe8, 0x11,
	0xa1, 0xe0, 0x25, 0x4e, 0x1d, 0x8b, 0x6e, 0xe8, 0x7d, 0x0a, 0xfb, 0xc9, 0x7c, 0xc6, 0x45, 0x59,
	0x9b, 0x1c, 0xc2, 0x9e, 0x3b, 0x5e, 0xe0, 0x85, 0xcd, 0xc8, 0x27, 0xc7, 0xbb, 0x1c, 0xb8, 0x78,
	0x23, 0x51, 0x28, 0x39, 0x13, 0x25, 0xad, 0x95, 0xc7, 0xdf, 0x01, 0x1e, 0x6e, 0x82, 0x7c, 0x68,
	0x5f, 0xa5, 0xef, 0xd3, 0xf1, 0x97, 0xb4, 0xfb, 0x04, 0x3d, 0x03, 0x7f, 0x30, 0x9a, 0x66, 0xa7,
	0xe4, 0x22, 0x7b, 0x9b, 0x7c, 0xec, 0x7a, 0x9b, 0x06, 0x39, 0x7f, 0x63, 0x1b, 0x0d, 0xf4, 0x02,
	0x9e, 0x27, 0x97, 0x83, 0xe4, 0x72, 0x40, 0x4e, 0xb2, 0xc9, 0xf8, 0xc3, 0xd7, 0xd3, 0xb3, 0x93,
	0xf3, 0x6e, 0x13, 0x75, 0xa0, 0x95, 0x8e, 0xd3, 0x51, 0xb7, 0x35, 0xe4, 0x10, 0x32, 0xb9, 0xd8,
	0xf9, 0x49, 0x26, 0xde, 0xb7, 0x70, 0x83, 0x2f, 0xe2, 0x35, 0x27, 0xfe, 0xef, 0xaf, 0xfc, 0xd3,
	0x38, 0xfc, 0x4c, 0x68, 0x5e, 0xe1, 0x64, 0x3d, 0x62, 0x62, 0x47, 0x4c, 0x1f, 0xe0, 0xeb, 0x3d,
	0x9b, 0xf2, 0xec, 0x6f, 0x00, 0x00, 0x00, 0xff, 0xff, 0x48, 0xc9, 0x61, 0xd7, 0xd0, 0x02, 0x00,
	0x00,
}
