// Code generated by protoc-gen-go. DO NOT EDIT.
// source: proxy/socks/config.proto

package socks

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
	net "v2ray.com/core/common/net"
	protocol "v2ray.com/core/common/protocol"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// AuthType is the authentication type of Socks proxy.
type AuthType int32

const (
	// NO_AUTH is for anounymous authentication.
	AuthType_NO_AUTH AuthType = 0
	// PASSWORD is for username/password authentication.
	AuthType_PASSWORD AuthType = 1
)

var AuthType_name = map[int32]string{
	0: "NO_AUTH",
	1: "PASSWORD",
}

var AuthType_value = map[string]int32{
	"NO_AUTH":  0,
	"PASSWORD": 1,
}

func (x AuthType) String() string {
	return proto.EnumName(AuthType_name, int32(x))
}

func (AuthType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_8aba882c8ca74f53, []int{0}
}

// Account represents a Socks account.
type Account struct {
	Username             string   `protobuf:"bytes,1,opt,name=username,proto3" json:"username,omitempty"`
	Password             string   `protobuf:"bytes,2,opt,name=password,proto3" json:"password,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Account) Reset()         { *m = Account{} }
func (m *Account) String() string { return proto.CompactTextString(m) }
func (*Account) ProtoMessage()    {}
func (*Account) Descriptor() ([]byte, []int) {
	return fileDescriptor_8aba882c8ca74f53, []int{0}
}

func (m *Account) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Account.Unmarshal(m, b)
}
func (m *Account) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Account.Marshal(b, m, deterministic)
}
func (m *Account) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Account.Merge(m, src)
}
func (m *Account) XXX_Size() int {
	return xxx_messageInfo_Account.Size(m)
}
func (m *Account) XXX_DiscardUnknown() {
	xxx_messageInfo_Account.DiscardUnknown(m)
}

var xxx_messageInfo_Account proto.InternalMessageInfo

func (m *Account) GetUsername() string {
	if m != nil {
		return m.Username
	}
	return ""
}

func (m *Account) GetPassword() string {
	if m != nil {
		return m.Password
	}
	return ""
}

// ServerConfig is the protobuf config for Socks server.
type ServerConfig struct {
	AuthType             AuthType          `protobuf:"varint,1,opt,name=auth_type,json=authType,proto3,enum=v2ray.core.proxy.socks.AuthType" json:"auth_type,omitempty"`
	Accounts             map[string]string `protobuf:"bytes,2,rep,name=accounts,proto3" json:"accounts,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Address              *net.IPOrDomain   `protobuf:"bytes,3,opt,name=address,proto3" json:"address,omitempty"`
	UdpEnabled           bool              `protobuf:"varint,4,opt,name=udp_enabled,json=udpEnabled,proto3" json:"udp_enabled,omitempty"`
	Timeout              uint32            `protobuf:"varint,5,opt,name=timeout,proto3" json:"timeout,omitempty"` // Deprecated: Do not use.
	UserLevel            uint32            `protobuf:"varint,6,opt,name=user_level,json=userLevel,proto3" json:"user_level,omitempty"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *ServerConfig) Reset()         { *m = ServerConfig{} }
func (m *ServerConfig) String() string { return proto.CompactTextString(m) }
func (*ServerConfig) ProtoMessage()    {}
func (*ServerConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_8aba882c8ca74f53, []int{1}
}

func (m *ServerConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerConfig.Unmarshal(m, b)
}
func (m *ServerConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerConfig.Marshal(b, m, deterministic)
}
func (m *ServerConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerConfig.Merge(m, src)
}
func (m *ServerConfig) XXX_Size() int {
	return xxx_messageInfo_ServerConfig.Size(m)
}
func (m *ServerConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerConfig.DiscardUnknown(m)
}

var xxx_messageInfo_ServerConfig proto.InternalMessageInfo

func (m *ServerConfig) GetAuthType() AuthType {
	if m != nil {
		return m.AuthType
	}
	return AuthType_NO_AUTH
}

func (m *ServerConfig) GetAccounts() map[string]string {
	if m != nil {
		return m.Accounts
	}
	return nil
}

func (m *ServerConfig) GetAddress() *net.IPOrDomain {
	if m != nil {
		return m.Address
	}
	return nil
}

func (m *ServerConfig) GetUdpEnabled() bool {
	if m != nil {
		return m.UdpEnabled
	}
	return false
}

// Deprecated: Do not use.
func (m *ServerConfig) GetTimeout() uint32 {
	if m != nil {
		return m.Timeout
	}
	return 0
}

func (m *ServerConfig) GetUserLevel() uint32 {
	if m != nil {
		return m.UserLevel
	}
	return 0
}

// ClientConfig is the protobuf config for Socks client.
type ClientConfig struct {
	// Sever is a list of Socks server addresses.
	Server               []*protocol.ServerEndpoint `protobuf:"bytes,1,rep,name=server,proto3" json:"server,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                   `json:"-"`
	XXX_unrecognized     []byte                     `json:"-"`
	XXX_sizecache        int32                      `json:"-"`
}

func (m *ClientConfig) Reset()         { *m = ClientConfig{} }
func (m *ClientConfig) String() string { return proto.CompactTextString(m) }
func (*ClientConfig) ProtoMessage()    {}
func (*ClientConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_8aba882c8ca74f53, []int{2}
}

func (m *ClientConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ClientConfig.Unmarshal(m, b)
}
func (m *ClientConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ClientConfig.Marshal(b, m, deterministic)
}
func (m *ClientConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ClientConfig.Merge(m, src)
}
func (m *ClientConfig) XXX_Size() int {
	return xxx_messageInfo_ClientConfig.Size(m)
}
func (m *ClientConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_ClientConfig.DiscardUnknown(m)
}

var xxx_messageInfo_ClientConfig proto.InternalMessageInfo

func (m *ClientConfig) GetServer() []*protocol.ServerEndpoint {
	if m != nil {
		return m.Server
	}
	return nil
}

func init() {
	proto.RegisterEnum("v2ray.core.proxy.socks.AuthType", AuthType_name, AuthType_value)
	proto.RegisterType((*Account)(nil), "v2ray.core.proxy.socks.Account")
	proto.RegisterType((*ServerConfig)(nil), "v2ray.core.proxy.socks.ServerConfig")
	proto.RegisterMapType((map[string]string)(nil), "v2ray.core.proxy.socks.ServerConfig.AccountsEntry")
	proto.RegisterType((*ClientConfig)(nil), "v2ray.core.proxy.socks.ClientConfig")
}

func init() {
	proto.RegisterFile("proxy/socks/config.proto", fileDescriptor_8aba882c8ca74f53)
}

var fileDescriptor_8aba882c8ca74f53 = []byte{
	// 468 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x74, 0x52, 0x5f, 0x6b, 0xdb, 0x3e,
	0x14, 0xfd, 0xc9, 0xf9, 0x35, 0x71, 0x6e, 0xd2, 0x11, 0xc4, 0x28, 0xc2, 0x6c, 0xcc, 0x0d, 0x0c,
	0x42, 0x1f, 0x64, 0xf0, 0x5e, 0xc6, 0xca, 0x1e, 0x92, 0x34, 0xb0, 0xc1, 0x68, 0x82, 0xd2, 0x6d,
	0xb0, 0x17, 0xa3, 0xda, 0xda, 0x6a, 0x6a, 0x4b, 0x46, 0x92, 0xb3, 0xf9, 0x2b, 0xed, 0xfb, 0xed,
	0x7d, 0xf8, 0x5f, 0xc9, 0xa0, 0x7d, 0xd3, 0xbd, 0xe7, 0x9e, 0xa3, 0xa3, 0x73, 0x05, 0xa4, 0xd0,
	0xea, 0x57, 0x15, 0x18, 0x15, 0xdf, 0x9b, 0x20, 0x56, 0xf2, 0x7b, 0xfa, 0x83, 0x16, 0x5a, 0x59,
	0x85, 0xcf, 0x0e, 0xa1, 0xe6, 0x15, 0x8d, 0x95, 0x16, 0xb4, 0x19, 0xa2, 0xcd, 0x90, 0x47, 0x62,
	0x95, 0xe7, 0x4a, 0x06, 0x52, 0xd8, 0x80, 0x27, 0x89, 0x16, 0xc6, 0xb4, 0x0c, 0xef, 0xbc, 0x43,
	0x9a, 0x2a, 0x56, 0x59, 0x60, 0x84, 0x3e, 0x08, 0x1d, 0x99, 0x42, 0xc4, 0xed, 0xc8, 0x7c, 0x09,
	0xa3, 0x65, 0x1c, 0xab, 0x52, 0x5a, 0xec, 0x81, 0x5b, 0x1a, 0xa1, 0x25, 0xcf, 0x05, 0x41, 0x3e,
	0x5a, 0x8c, 0xd9, 0x43, 0x5d, 0x63, 0x05, 0x37, 0xe6, 0xa7, 0xd2, 0x09, 0x71, 0x5a, 0xac, 0xaf,
	0xe7, 0x7f, 0x1c, 0x98, 0xee, 0x1b, 0xe1, 0x75, 0x63, 0x17, 0xbf, 0x87, 0x31, 0x2f, 0xed, 0x5d,
	0x64, 0xab, 0xa2, 0x55, 0x7a, 0x16, 0xfa, 0xf4, 0x71, 0xf3, 0x74, 0x59, 0xda, 0xbb, 0x9b, 0xaa,
	0x10, 0xcc, 0xe5, 0xdd, 0x09, 0x5f, 0x83, 0xcb, 0x5b, 0x4b, 0x86, 0x38, 0xfe, 0x60, 0x31, 0x09,
	0xc3, 0xa7, 0xd8, 0xc7, 0xd7, 0xd2, 0xee, 0x1d, 0x66, 0x23, 0xad, 0xae, 0xd8, 0x83, 0x06, 0xbe,
	0x84, 0x51, 0x17, 0x0b, 0x19, 0xf8, 0x68, 0x31, 0x09, 0xcf, 0x8f, 0xe5, 0xda, 0x88, 0xa8, 0x14,
	0x96, 0x7e, 0xdc, 0x6d, 0xf5, 0x95, 0xca, 0x79, 0x2a, 0x59, 0xcf, 0xc0, 0xaf, 0x60, 0x52, 0x26,
	0x45, 0x24, 0x24, 0xbf, 0xcd, 0x44, 0x42, 0xfe, 0xf7, 0xd1, 0xc2, 0x65, 0x50, 0x26, 0xc5, 0xa6,
	0xed, 0xe0, 0x17, 0x30, 0xb2, 0x69, 0x2e, 0x54, 0x69, 0xc9, 0x89, 0x8f, 0x16, 0xa7, 0x2b, 0x87,
	0x20, 0xd6, 0xb7, 0xf0, 0x4b, 0x80, 0x3a, 0xc3, 0x28, 0x13, 0x07, 0x91, 0x91, 0x61, 0x3d, 0xc0,
	0xc6, 0x75, 0xe7, 0x53, 0xdd, 0xf0, 0x2e, 0xe1, 0xf4, 0x1f, 0xd7, 0x78, 0x06, 0x83, 0x7b, 0x51,
	0x75, 0xf1, 0xd7, 0x47, 0xfc, 0x1c, 0x4e, 0x0e, 0x3c, 0x2b, 0x45, 0x17, 0x7b, 0x5b, 0xbc, 0x73,
	0xde, 0xa2, 0x39, 0x83, 0xe9, 0x3a, 0x4b, 0x85, 0xb4, 0x5d, 0xec, 0x2b, 0x18, 0xb6, 0xfb, 0x25,
	0xa8, 0x49, 0xed, 0xe2, 0x91, 0x67, 0xf6, 0x3f, 0xa1, 0x4b, 0x6e, 0x23, 0x93, 0x42, 0xa5, 0xd2,
	0xb2, 0x8e, 0x79, 0xf1, 0x1a, 0xdc, 0x7e, 0x23, 0x78, 0x02, 0xa3, 0xeb, 0x6d, 0xb4, 0xfc, 0x7c,
	0xf3, 0x61, 0xf6, 0x1f, 0x9e, 0x82, 0xbb, 0x5b, 0xee, 0xf7, 0x5f, 0xb7, 0xec, 0x6a, 0x86, 0x56,
	0x7b, 0xf0, 0x62, 0x95, 0x3f, 0xb1, 0x95, 0x1d, 0xfa, 0xe6, 0xf5, 0x48, 0x1e, 0xd4, 0x68, 0x70,
	0xf4, 0xa7, 0x7f, 0x3b, 0x67, 0x5f, 0x42, 0xc6, 0x2b, 0xba, 0xae, 0x69, 0xbb, 0x86, 0xb6, 0xaf,
	0x81, 0xdb, 0x61, 0x63, 0xee, 0xcd, 0xdf, 0x00, 0x00, 0x00, 0xff, 0xff, 0xcc, 0xed, 0xf9, 0x83,
	0x02, 0x03, 0x00, 0x00,
}
